net.i2p.data.router

## Class RouterIdentity

- java.lang.Object
- - net.i2p.data.DataStructureImpl
  - - net.i2p.data.KeysAndCert
    - - net.i2p.data.router.RouterIdentity

- All Implemented Interfaces:
    Serializable, DataStructure

      public class RouterIdentity
      extends KeysAndCert

  Defines the unique identifier of a router, including any certificate or public key. As of 0.9.9 this data structure is immutable after the two keys and the certificate are set; attempts to change them will throw an IllegalStateException.
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class net.i2p.data.KeysAndCert

      `_certificate, _paddingBlocks, _publicKey, _signingKey`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RouterIdentity()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object o)`
    `boolean` | `isHidden()` This router specified that they should not be used as a part of a tunnel, nor queried for the netDb, and that disclosure of their contact information should be limited.

    - ### Methods inherited from class net.i2p.data.KeysAndCert

      `calculateHash, combinePadding, getCertificate, getEncType, getHash, getPadding, getPublicKey, getSigningPublicKey, getSigType, hashCode, isCompressible, readBytes, setCertificate, setPadding, setPublicKey, setSigningPublicKey, toString, writeBytes, writePaddingBytes`

    - ### Methods inherited from class net.i2p.data.DataStructureImpl

      `fromBase64, fromByteArray, read, toBase64, toByteArray`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### RouterIdentity

          public RouterIdentity()

  - ### Method Detail

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `KeysAndCert`

    - #### isHidden

          public boolean isHidden()

      This router specified that they should not be used as a part of a tunnel, nor queried for the netDb, and that disclosure of their contact information should be limited. This is ONLY if the certificate is a hidden type. Hidden mode may also be specified with a capability in the RouterInfo. Not recommended for direct use. Use of RouterInfo.isHidden() (which calls this) is preferred.